Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCMkbl

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCMkbl

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCMkbl
    extends ClearCase

Task to CreateBaseline command to ClearCase.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
baselinerootname | Specify the name to be associated with the baseline. | Yes
nowarn | Suppress warning messages | No
identical | Allows the baseline to be created even if it is identical to the previous baseline. | No
full | Creates a full baseline. | No
nlabel | Allows the baseline to be created without a label. | No
failonerr | Throw an exception if the command fails. Default is true | No

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the file
`static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` | `FLAG_FULL` | -full flag -- baseline to be created is full
`static java.lang.String` | `FLAG_IDENTICAL` | -identical flag -- allows the file to be checked in even if it is identical to the original
`static java.lang.String` | `FLAG_INCREMENTAL` | -incremental flag -- baseline to be created is incremental
`static java.lang.String` | `FLAG_NLABEL` | -nlabel -- baseline to be created without a label
`static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CCMkbl()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Executes the task.
`java.lang.String` | `getBaselineRootName()` | Get baseline_root_name
`java.lang.String` | `getComment()` | Get comment string
`java.lang.String` | `getCommentFile()` | Get comment file
`boolean` | `getFull()` | Get full flag status
`boolean` | `getIdentical()` | Get identical flag status
`boolean` | `getNlabel()` | Get nlabel status
`boolean` | `getNoWarn()` | Get nowarn flag status
`void` | `setBaselineRootName​(java.lang.String baselineRootName)` | Set baseline_root_name
`void` | `setComment​(java.lang.String comment)` | Set comment string
`void` | `setCommentFile​(java.lang.String cfile)` | Set comment file
`void` | `setFull​(boolean full)` | Set the full flag
`void` | `setIdentical​(boolean identical)` | Set the identical flag
`void` | `setNlabel​(boolean nlabel)` | Set the nlabel flag
`void` | `setNoWarn​(boolean nwarn)` | Set the nowarn flag

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_COMMENT

public static final java.lang.String FLAG_COMMENT
-c flag -- comment to attach to the file

See Also:
  Constant Field Values

### FLAG_COMMENTFILE

public static final java.lang.String FLAG_COMMENTFILE
-cfile flag -- file containing a comment to attach to the file

See Also:
  Constant Field Values

### FLAG_NOCOMMENT

public static final java.lang.String FLAG_NOCOMMENT
-nc flag -- no comment is specified

See Also:
  Constant Field Values

### FLAG_IDENTICAL

public static final java.lang.String FLAG_IDENTICAL
-identical flag -- allows the file to be checked in even if it is identical to the original

See Also:
  Constant Field Values

### FLAG_INCREMENTAL

public static final java.lang.String FLAG_INCREMENTAL
-incremental flag -- baseline to be created is incremental

See Also:
  Constant Field Values

### FLAG_FULL

public static final java.lang.String FLAG_FULL
-full flag -- baseline to be created is full

See Also:
  Constant Field Values

### FLAG_NLABEL

public static final java.lang.String FLAG_NLABEL
-nlabel -- baseline to be created without a label

See Also:
  Constant Field Values

## Constructor Details

### CCMkbl

public CCMkbl()

## Method Details

### execute

public void execute() throws BuildException
Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

### setComment

public void setComment​(java.lang.String comment)
Set comment string

Parameters:
  `comment` - the comment string

### getComment

public java.lang.String getComment()
Get comment string

Returns:
  String containing the comment

### setCommentFile

public void setCommentFile​(java.lang.String cfile)
Set comment file

Parameters:
  `cfile` - the path to the comment file

### getCommentFile

public java.lang.String getCommentFile()
Get comment file

Returns:
  String containing the path to the comment file

### setBaselineRootName

public void setBaselineRootName​(java.lang.String baselineRootName)
Set baseline_root_name

Parameters:
  `baselineRootName` - the name of the baseline

### getBaselineRootName

public java.lang.String getBaselineRootName()
Get baseline_root_name

Returns:
  String containing the name of the baseline

### setNoWarn

public void setNoWarn​(boolean nwarn)
Set the nowarn flag

Parameters:
  `nwarn` - the status to set the flag to

### getNoWarn

public boolean getNoWarn()
Get nowarn flag status

Returns:
  boolean containing status of nwarn flag

### setIdentical

public void setIdentical​(boolean identical)
Set the identical flag

Parameters:
  `identical` - the status to set the flag to

### getIdentical

public boolean getIdentical()
Get identical flag status

Returns:
  boolean containing status of identical flag

### setFull

public void setFull​(boolean full)
Set the full flag

Parameters:
  `full` - the status to set the flag to

### getFull

public boolean getFull()
Get full flag status

Returns:
  boolean containing status of full flag

### setNlabel

public void setNlabel​(boolean nlabel)
Set the nlabel flag

Parameters:
  `nlabel` - the status to set the flag to

### getNlabel

public boolean getNlabel()
Get nlabel status

Returns:
  boolean containing status of nlabel flag